Pagamentos de conta
GET https://omnes.link/api/payments/
curl --request GET \
--url 'https://omnes.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| processor | Opcional String | Valores permitidos: paypal , stripe , offline_payment , coinbase , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut |
| status | Opcional String | Valores permitidos: paid , pending , cancelled , refunded |
| type | Opcional String | Valores permitidos: one_time , recurring |
| frequency | Opcional String | Valores permitidos: monthly , quarterly , biannual , annual , lifetime |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: id , datetime , total_amount. |
| order_type | Opcional String | A ordem dos resultados. Os valores permitidos são: ASC para ordem crescente e DESC para ordem decrescente. |
| page | Opcional Inteiro | O número da página da qual você deseja resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10 , 25 , 50 , 100 , 250 , 500 , 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-05 04:48:36",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://omnes.link/api/payments?page=1",
"last": "https://omnes.link/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://omnes.link/api/payments?page=1"
}
}
GET https://omnes.link/api/payments/{payment_id}
curl --request GET \
--url 'https://omnes.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-05 04:48:36",
}
}